package com.gz.mapper.system;

import com.gz.dto.system.MenuDTO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;


/**
 * 后台菜单Mapper
 * @author LiuchangLan
 * @date 2020/9/4 11:55
 */
public interface MenuMapper extends Mapper<MenuDTO> {
    /**
     * @description 查询列表（按照排序）
     * @author LiuChangLan
     * @since 2020/8/19 16:43
     */
    List<MenuDTO> getMenusOrder();

    List<MenuDTO> getRoleMenu(Integer roleId);

    List<MenuDTO> getRoleButtle(Integer roleId,Integer menuId);
}
